%define name		webmacro
%define version		1.1
%define release		1jpp
%define section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	Java-based template engine
License:	GPL
URL:		http://www.webmacro.org/
Source0:	http://osdn.dl.sourceforge.net/sourceforge/webmacro/webmacro-src-1.1final.tgz
Requires:	servletapi4
BuildRequires:	ant
BuildRequires:	jpackage-utils >= 0:1.5
BuildRequires:	servletapi4
Group:		Development/Java
Buildarch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
Vendor:		JPackage Project
Distribution:	JPackage

%description
WebMacro is a free Java development package that allows you to keep
HTML and presentational issues out of your Java servlet code--while
providing web designers with a simple template language capable of
displaying any Java object.

%package manual
Summary:	Manual for %{name}
Group:		Development/Java

%description manual
Documentation for %{name}.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Java

%description javadoc
Javadoc for %{name}.

%package demo
Summary:	Demo for %{name}
Group:		Development/Java
Requires:	%{name} = %{version}-%{release}

%description demo
Demonstrations and samples for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}-src-%{version}final
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
export CLASSPATH=%(build-classpath servletapi4)
ant jar javadoc

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 %{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
# demo
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr examples $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc CONFIGURING-* CREDITS GPL LICENSE POLICY readme.html RELEASE-NOTES
%doc setup.html SPL UPGRADE
%{_javadir}/*

%files manual
%defattr(0644,root,root,0755)
%doc tutorial/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}

%changelog
* Tue May 06 2003 David Walluck <david@anti-microsoft.org> 0:1.1-1jpp
- 1.1
- update for JPackage 1.5

* Tue Jul 16 2002 Ville Skytt <ville.skytta at iki.fi> 1.0.1-1jpp
- Update to 1.0.1.
- Use sed instead of bash 2 extension when symlinking jars during build.
- Remove prerelease stuff from spec file.
- Add Distribution tag.

* Mon Mar 18 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-0.rc2.4jpp 
- generic servlet support

* Mon Jan 21 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-0.rc2.3jpp 
- used versioned dir for javadoc
- adaptation for new servlet3 package
- no dependencies for manual and javadoc packages
- stricter dependencies for demo packages
- section macro

* Fri Dec 7 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-0.rc2.2jpp
- javadoc into javadoc package

* Fri Nov 09 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 1.0-0.rc2.1jpp
- rc2

* Sun Oct 28 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-0.rc1.1jpp
- first JPackage release
